Application is "damaged" (9.6.0 DP 4)

Got a LiveCode personal license? Are you a beginner, hobbyist or educator that's new to LiveCode? This forum is the place to go for help getting started. Welcome!

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller

Post Reply
raugert
Posts: 70
Joined: Thu May 26, 2016 9:30 pm
Location: Winnipeg, Canada

Application is "damaged" (9.6.0 DP 4)

Post by raugert » Sat May 09, 2020 5:46 pm

Using 9.6.0 DP4, I compressed (.zip) a Mac application and uploaded it to Dropbox as I usually do. When the zip file is then downloaded and unzipped by a user, the application reports an "application is damaged and can't be opened" error. This just started happening with 9.6.0 DP4. It's ok with 9.5.1. I think it has something to do with code signing. Does this mean we may no longer be able to distribute zipped Mac apps as of 9.6.0 ?


Screen Shot 2020-05-09 at 11.06.06 AM.png
Screen Shot 2020-05-09 at 11.38.13 AM.png

thanks,
Richard

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 5679
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Application is "damaged" (9.6.0 DP 4)

Post by jacque » Sun May 10, 2020 5:17 pm

Apps now need to be notarized in addition to code-signed. If you recently updated to Catalina then that's why you're getting this message. Mojave was more lenient.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

raugert
Posts: 70
Joined: Thu May 26, 2016 9:30 pm
Location: Winnipeg, Canada

Re: Application is "damaged" (9.6.0 DP 4)

Post by raugert » Sun May 10, 2020 5:29 pm

Thanks Jacque,

I figured it had something to do with that. I didn't update my OS. In fact, I'm still using High Sierra on an older 17" Macbook Pro, which unfortunately can't be updated to Catalina. I guess I'll be forced to update my computer if I want to continue coding. :( I really liked the 17" screen....

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 5679
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Application is "damaged" (9.6.0 DP 4)

Post by jacque » Sun May 10, 2020 5:57 pm

If you're still on High Sierra then I don't think that's the problem, High Sierra doesn't care about notarization. I'm not actually sure what's wrong, TBH. Maybe you just need a new distribution or development certificate.

If you do plan to send out the app to others running Catalina then you'll need to notarize it anyway, but you should be able to do that without updating your OS.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 695
Joined: Fri Feb 06, 2015 4:03 pm

Re: Application is "damaged" (9.6.0 DP 4)

Post by LiveCode_Panos » Mon May 11, 2020 8:38 pm

Hello all,

Indeed, you need to notarize your apps if you plan to distribute them outside the Mac App Store.

However, a non-notarised app should show a different warning dialog, and you should be able to open it by right-click -> Open.

The error dialog that you are getting is because of a bug in LC 9.6 DP-4 (https://quality.livecode.com/show_bug.cgi?id=22702), which is fixed in LiveCode 9.6.0 RC-1 that was released today.

Kind regards,
Panos
--

raugert
Posts: 70
Joined: Thu May 26, 2016 9:30 pm
Location: Winnipeg, Canada

Re: Application is "damaged" (9.6.0 DP 4)

Post by raugert » Mon May 11, 2020 8:43 pm

Thanks very much Panos !

Post Reply

Return to “Getting Started with LiveCode - Complete Beginners”